Package org.eclipse.microprofile.rest.client.tck.interfaces

# Interface ChildClient

All Superinterfaces:
  `BaseClient`

public interface ChildClient extends BaseClient

## Method Summary

Modifier and Type
Method
Description
`jakarta.ws.rs.core.Response`
`executeBasePost()`
`jakarta.ws.rs.core.Response`
`executeChildGet()`

### Methods inherited from interface org.eclipse.microprofile.rest.client.tck.interfaces.BaseClient

`executeBaseGet`

## Method Details

### executeChildGet

@GET @Path("/child") jakarta.ws.rs.core.Response executeChildGet()

### executeBasePost

@POST @Path("/childOverride") jakarta.ws.rs.core.Response executeBasePost()

Specified by:
  `executeBasePost` in interface `BaseClient`